% Franck Portier, May 2020
% Here I simulate a simple one equation forward looking non linear model
% Model is :
% x(t) = alphap1 E[x(t+1)] + alpham1 x(t-1) + alphax3 x(t)^3 + epsx
% Simulation is saved in DataOrder3


var x ;
varexo epsx;
 
parameters alphaxp1 alphaxm1 alphax3;

alphaxp1    =   .3;
alphaxm1    =   .6;
alphax3     =   -.2;




model;
x = alphaxp1*x(+1) + alphaxm1*x(-1) + alphax3*x^3 + epsx;
end;
 
steady;
check;

shocks;
var epsx = 1;
end;

initval;
x=0;
end;


stoch_simul(periods=500,order=3,irf=0,noprint);

eval(['x=oo_.exo_simul(:,1);'])

save DataOrder3 x;
 